Skip to main content
GET
/
user
/
batch
Batch Get All
curl --request GET \
  --url https://api.ayrshare.com/api/user/batch \
  --header 'Authorization: Bearer <token>'
{
    "success": true,
    "url": "https://storage.googleapis.com/batch.ayrshare.com/users/9iskiedwtOddd/users-batch-2024-01-11-22-42.json",
    "urlAvailable": "2024-01-11T22:47:36Z",
    "urlExpires": "2024-01-18T22:42:36Z",
    "lastUpdated": "2024-01-11T22:42:36.808Z",
    "nextUpdate": "2024-01-11T22:54:36.808Z"
}

Documentation Index

Fetch the complete documentation index at: https://ayrshare.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Available on plan.
Retrieve the user data for all user profiles. Use the batch endpoint as an alternative to calling the /user endpoint for each of your users in rapid succession, which may be restricted by rate-limits. The endpoint will return a pre-signed URL for the file containing all the user profile data. Please note the urlAvailable field time for when the file will be accessible. The pre-signed URL will expire in 7 days after creation. A new file may be generated every 3 hours. You may also be notified when the file is ready via the Batch Action webhook.

Header Parameters

Authorization
string
required
API Key of the Primary Profile.

Format: Authorization: Bearer API_KEY
{
    "success": true,
    "url": "https://storage.googleapis.com/batch.ayrshare.com/users/9iskiedwtOddd/users-batch-2024-01-11-22-42.json",
    "urlAvailable": "2024-01-11T22:47:36Z",
    "urlExpires": "2024-01-18T22:42:36Z",
    "lastUpdated": "2024-01-11T22:42:36.808Z",
    "nextUpdate": "2024-01-11T22:54:36.808Z"
}